This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1032367 - gvfs-smb windows share mount cannot be accessed by a group of applications [NEEDINFO]
gvfs-smb windows share mount cannot be accessed by a group of applications
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 22:54 EST by singerxy
Modified: 2015-02-17 14:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:18:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oholy: needinfo? (singerxy)


Attachments (Terms of Use)

  None (edit)
Description singerxy 2013-11-19 22:54:22 EST
Description of problem:
A group of applications: geany, codeblocks, codelite, etc, all of which are still in fedora 19 repository, can not open and edit the source file on windows share.


Version-Release number of selected component (if applicable):
gvfs-smb 1.16.3-2.fc19

How reproducible:
Open file on window share with geany, codeblocks or codelite, the application will hang at file open.  CPU usage climb up to 100%

Steps to Reproduce:
1. Geany file->open->select file on the samba, geany hang.
2.
3.

Actual results:


Expected results:


Additional info:

What I noticed is that the gvfs mount folder name in fedora 17 was
/run/user/<user>/gvfs/<user>@<server>
All the above applications works for this.

In fedora 19, it changes to 
/run/user/1000/gvfs/windows-share:server=<server>,share=<user>,user=<user>
gedit and bluefish still works with it, but the geany, codeblocks etc seems have difficulty with special characters.

Also please note that pckmanfm causes 100% cpu usage and no response when trying to browse 
/run/user/1000/gvfs/windows-share:server=<server>,share=<user>,user=<user>
Comment 1 Ondrej Holy 2013-11-21 10:35:19 EST
I can't reproduce it with:
geany-1.23.1-1.fc19
gvfs-smb-1.16.3-2.fc19
libsmbclient-4.0.9-3.fc19

There isn't problem with special characters, geany works well with:
geany /run/user/1000/gvfs/smb-share\:server\=localhost\,share\=test/TEST.txt

Could you provide stack trace?
Comment 2 Fedora End Of Life 2015-01-09 15:38:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 14:18:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.